/*
 * SelectBlogPet.h : ここうさぎウィザード carot
 *      ブログペット選択ダイアログ ヘッダーファイル
 *          written by H.Tsujimura  23 Feb 2005
 *
 * $Log: /makeRSS/carot/SelectBlogPet.h $
 * 
 * 4     07/10/17 23:48 Tsujimura543
 * ダミーのコピーコンストラクタ、代入演算子を private として導入。
 * 知らないうちにメモリ確保(と解放し忘れ)が発生する可能性を排除。
 * 
 * 3     07/10/17 23:40 Tsujimura543
 * (1) バージョン管理用コメントを入れるようにする
 * (2) 余分なプリプロセッサ制御文を削除
 */

#if !defined(AFX_SELECTBLOGPET_H__CA09EEC1_2BD8_4F29_AE3E_B4162613B5C9__INCLUDED_)
#define AFX_SELECTBLOGPET_H__CA09EEC1_2BD8_4F29_AE3E_B4162613B5C9__INCLUDED_

/////////////////////////////////////////////////////////////////////////////
// CSelectBlogPet ダイアログ

class CSelectBlogPet : public CDialog
{
// コンストラクション
public:
	CSelectBlogPet(CWnd* pParent = NULL);   // 標準のコンストラクタ

    long    m_currentPetID;     // 選択した BlogPet の ID
	CString	m_blogPetID;        // 選択した BlogPet の BlogPet ID
	CString	m_blogPetType;      // 選択した BlogPet の 種別
    CString m_blogPetName;      // 選択した BlogPet の 名前
    CString m_blogPetUsername;  // 選択した BlogPet の管理用ユーザ名
    CString m_blogPetPassword;  // 選択した BlogPet の管理用パスワード

// ダイアログ データ
	//{{AFX_DATA(CSelectBlogPet)
	enum { IDD = IDD_BLOGPET_DIALOG };
	CListBox	m_blogPetList;
	CString	m_blogPetInfoString;
	//}}AFX_DATA

// オーバーライド
	//{{AFX_VIRTUAL(CSelectBlogPet)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV サポート
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	// メッセージマップ関数
	//{{AFX_MSG(CSelectBlogPet)
	afx_msg void OnButtonAddNewPet();
	afx_msg void OnButtonDeletePet();
	afx_msg void OnSelchangeListBlogPet();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnDblclkListBlogPet();
	virtual void OnOK();
	afx_msg void OnButtonModifyPet();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

private:
    CSelectBlogPet( CSelectBlogPet &dlg );
    CSelectBlogPet  operator = ( CSelectBlogPet &dlg );
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_SELECTBLOGPET_H__CA09EEC1_2BD8_4F29_AE3E_B4162613B5C9__INCLUDED_)
